com.google.cloud.dataflow.sdk.transforms.windowing

## Class MergeOverlappingIntervalWindows

- java.lang.Object
- - com.google.cloud.dataflow.sdk.transforms.windowing.MergeOverlappingIntervalWindows

    public class MergeOverlappingIntervalWindows
    extends Object

A utility function for merging overlapping `IntervalWindow`s.

### Constructor Summary

Constructors
Constructor and Description
`MergeOverlappingIntervalWindows()`

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `mergeWindows(WindowFn.MergeContext c)` Merge overlapping `IntervalWindow`s.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MergeOverlappingIntervalWindows

    public MergeOverlappingIntervalWindows()

### Method Detail

#### mergeWindows

    public static void mergeWindows(WindowFn.MergeContext c)
                             throws Exception

Merge overlapping `IntervalWindow`s.

Throws:
  `Exception`